---------------------
PatchSet 8713 
Date: 2006/10/22 23:56:31
Author: hno
Branch: commloops-2_6
Tag: (none) 
Log:
shield the delay pools related code a bit to allow building without --enable-delay-pools

Members: 
	src/comm_generic.c:1.2.2.3->1.2.2.4 

Index: squid/src/comm_generic.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/comm_generic.c,v
retrieving revision 1.2.2.3
retrieving revision 1.2.2.4
diff -u -r1.2.2.3 -r1.2.2.4
--- squid/src/comm_generic.c	1 Oct 2006 02:00:14 -0000	1.2.2.3
+++ squid/src/comm_generic.c	22 Oct 2006 23:56:31 -0000	1.2.2.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: comm_generic.c,v 1.2.2.3 2006/10/01 02:00:14 hno Exp $
+ * $Id: comm_generic.c,v 1.2.2.4 2006/10/22 23:56:31 hno Exp $
  *
  * DEBUG: section 5     Socket Functions
  *
@@ -230,7 +230,9 @@
 		break;
 	    case -1:
 		commDeferFD(fd);
+#if DELAY_POOLS
 		commAddSlow(fd);
+#endif
 		break;
 	    default:
 		debug(5, 8) ("comm_call_handlers(): Calling read handler on fd=%d\n", fd);
@@ -354,7 +356,9 @@
 
     rc = do_comm_select(msec);
 
+#if DELAY_POOLS
     comm_call_slowfds();
+#endif
     getCurrentTime();
     statCounter.select_time += (current_dtime - start);
 
